petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscObjectSetName

Sets a string name associated with a PETSc object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetName(PetscObject obj,const char name[])

Not Collective

### Input Parameters

| obj | - the Petsc variable Thus must be cast with a (PetscObject), for example, PetscObjectSetName((PetscObject)mat,name);
| name | - the name to give obj

### Notes

If this routine is not called then the object may end up being name by PetscObjectName().

### See Also

PetscObjectGetName(), PetscObjectName()

### Level

advanced

### Location

src/sys/objects/pname.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex4f.F.html
src/vec/vec/examples/tutorials/ex4f90.F90.html
src/mat/examples/tutorials/ex10.c.html
src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages